Bug 191156 - [MAINTAINER] x11-drivers/xf86-input-wacom: update to 0.26.1
Summary: [MAINTAINER] x11-drivers/xf86-input-wacom: update to 0.26.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-18 12:55 UTC by Jan Beich
Modified: 2014-10-13 17:01 UTC (History)
1 user (show)

See Also:


Attachments
update (1018 bytes, patch)
2014-06-18 12:55 UTC, Jan Beich
jbeich: maintainer-approval+
Details | Diff
update, v2 (2.50 KB, patch)
2014-08-31 14:49 UTC, Jan Beich
jbeich: maintainer-approval+
Details | Diff
update, v3 (6.46 KB, patch)
2014-08-31 17:14 UTC, Jan Beich
jbeich: maintainer-approval+
Details | Diff
9.3R i386 log (implicit WITH_NEW_XORG) (54.39 KB, text/plain)
2014-08-31 17:16 UTC, Jan Beich
no flags Details
10.0 amd64 log (TEST=on DEBUG=on) (45.01 KB, text/plain)
2014-08-31 17:18 UTC, Jan Beich
no flags Details
update, v3.1 (6.80 KB, patch)
2014-09-03 00:27 UTC, Jan Beich
no flags Details | Diff
9.3R i386 log (implicit WITH_NEW_XORG) (46.31 KB, text/plain)
2014-09-03 00:27 UTC, Jan Beich
no flags Details
update, v3.2 (6.80 KB, patch)
2014-09-05 11:46 UTC, Jan Beich
no flags Details | Diff
update, v3.3 (6.79 KB, patch)
2014-09-12 17:10 UTC, Jan Beich
no flags Details | Diff
9.1R i386 log (49.76 KB, text/plain)
2014-09-12 17:11 UTC, Jan Beich
no flags Details
update, v3.4 (7.32 KB, patch)
2014-09-26 12:47 UTC, Jan Beich
no flags Details | Diff
10.0R amd64 log (TEST=on DEBUG=on) (43.86 KB, text/plain)
2014-09-26 12:49 UTC, Jan Beich
no flags Details
9.3R i386 log (implicit WITH_NEW_XORG) (45.28 KB, text/plain)
2014-09-26 13:38 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-06-18 12:55:43 UTC
Created attachment 143901 [details]
update

Version bump only. No code changes since 0.24.99.1.

$ PAGER=cat git diff xf86-input-wacom-0.24.99.1..xf86-input-wacom-0.25.0
diff --git a/configure.ac b/configure.ac
index bc980db..1e807c8 100644
--- a/configure.ac
+++ b/configure.ac
@@ -23,7 +23,7 @@
 # Initialize Autoconf
 AC_PREREQ([2.60])
 AC_INIT([xf86-input-wacom],
-        [0.24.99.1],
+        [0.25.0],
         [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg],
         [xf86-input-wacom])
 AC_CONFIG_MACRO_DIR([m4])
Comment 1 Jan Beich freebsd_committer 2014-08-31 14:49:39 UTC
Created attachment 146603 [details]
update, v2

- update to 0.25.99.1
- add DEBUG and TEST options
Comment 2 Jan Beich freebsd_committer 2014-08-31 17:14:34 UTC
Created attachment 146607 [details]
update, v3

Added LICENSE and fixed a few build errors with TEST vs. old Xserver.

xorg-server-1.15.2:
  builds fine

xorg-server-1.12.4:
  fake-symbols.c:96: error: conflicting types for 'xf86CheckStrOption'
  /usr/local/include/xorg/xf86Opt.h:88: error: previous declaration of 'xf86CheckStrOption' was here
  fake-symbols.c:290: error: conflicting types for 'XIChangeDeviceProperty'
  /usr/local/include/xorg/exevents.h:91: error: previous declaration of 'XIChangeDeviceProperty' was here
  fake-symbols.c:362: warning: no previous prototype for 'LogMessageVerbSigSafe'
  fake-symbols.c:513: error: redefinition of typedef 'InputOption'
  /usr/local/include/xorg/input.h:218: error: previous declaration of 'InputOption' was here

xorg-server-1.7.7:
  --- wacom_tests-wacom-tests.o ---
  In file included from wacom-tests.c:23:
  ./fake-symbols.h:5:10: fatal error: 'Xprintf.h' file not found
  #include <Xprintf.h>
           ^
  --- wacom_tests-fake-symbols.o ---
  In file included from fake-symbols.c:1:
  ./fake-symbols.h:5:10: fatal error: 'Xprintf.h' file not found
  #include <Xprintf.h>
           ^
  1 error generated.
Comment 3 Jan Beich freebsd_committer 2014-08-31 17:16:52 UTC
Created attachment 146608 [details]
9.3R i386 log (implicit WITH_NEW_XORG)
Comment 4 Jan Beich freebsd_committer 2014-08-31 17:18:05 UTC
Created attachment 146609 [details]
10.0 amd64 log (TEST=on DEBUG=on)
Comment 5 Jan Beich freebsd_committer 2014-09-03 00:27:12 UTC
Created attachment 146699 [details]
update, v3.1

Replace STRIP_CMD with install-strip.
Comment 6 Jan Beich freebsd_committer 2014-09-03 00:27:54 UTC
Created attachment 146700 [details]
9.3R i386 log (implicit WITH_NEW_XORG)
Comment 7 Jan Beich freebsd_committer 2014-09-05 11:46:13 UTC
Created attachment 146860 [details]
update, v3.2

update to 0.25.99.2
Comment 8 Jan Beich freebsd_committer 2014-09-12 17:10:21 UTC
Created attachment 147253 [details]
update, v3.3

update to 0.26.0
Comment 9 Jan Beich freebsd_committer 2014-09-12 17:11:59 UTC
Created attachment 147254 [details]
9.1R i386 log
Comment 10 Jan Beich freebsd_committer 2014-09-26 12:47:01 UTC
Created attachment 147687 [details]
update, v3.4

- update 0.26.1
- kill @dirrm (per CHANGES from 20140922)
Comment 11 Jan Beich freebsd_committer 2014-09-26 12:49:22 UTC
Created attachment 147688 [details]
10.0R amd64 log (TEST=on DEBUG=on)
Comment 12 Jan Beich freebsd_committer 2014-09-26 13:38:54 UTC
Created attachment 147690 [details]
9.3R i386 log (implicit WITH_NEW_XORG)
Comment 13 Jan Beich freebsd_committer 2014-10-01 20:20:36 UTC
Resetting to general queue per timeout (3 months). This port isn't part of Xorg distribution (katamari or module), merely a third-party addition to. Let x11@ handle other xf86-* drivers while I still haven't lost interest in this port.
Comment 14 John Marino freebsd_committer 2014-10-08 18:35:43 UTC
Jan knows what he's doing, moving to patch-ready pool.
Comment 15 commit-hook freebsd_committer 2014-10-13 17:01:36 UTC
A commit references this bug:

Author: madpilot
Date: Mon Oct 13 17:01:29 UTC 2014
New revision: 370792
URL: https://svnweb.freebsd.org/changeset/ports/370792

Log:
  - Update to 0.26.1
  - Add LICENSE
  - Add OPTIONS
  - Remove dirrms

  PR:		191156
  Submitted by:	Jan Beich <jbeich at vfemail.net> (maintainer)

Changes:
  head/x11-drivers/xf86-input-wacom/Makefile
  head/x11-drivers/xf86-input-wacom/distinfo
  head/x11-drivers/xf86-input-wacom/files/patch-test-fake-symbols.c
  head/x11-drivers/xf86-input-wacom/files/patch-test-fake-symbols.h
  head/x11-drivers/xf86-input-wacom/files/patch-test-wacom-tests.c
  head/x11-drivers/xf86-input-wacom/pkg-plist
Comment 16 Guido Falsi freebsd_committer 2014-10-13 17:01:54 UTC
Committed. Thanks!